<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/AutomaticRifle/AUG.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/dbe/_a_u_g_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">AUG.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/dbe/_a_u_g_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d1/d90/class_aug___base.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/d90/class_aug___base.html">Aug_Base</a> : RifleBoltFree_Base</div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d1/d90/class_aug___base.html#a67fc239c6cac57888177a6b89f6fd830">    3</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../dc/dd0/class_recoil_base.html">RecoilBase</a> <a class="code hl_function" href="../../d1/d90/class_aug___base.html#a67fc239c6cac57888177a6b89f6fd830">SpawnRecoilObject</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">return</span> <span class="keyword">new</span> <a class="code hl_class" href="../../dd/d94/class_a_u_g_recoil.html">AUGRecoil</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    <span class="comment">//Debug menu Spawn Ground Special</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d1/d90/class_aug___base.html#aaead9cefc6b13e4525883dece8c26b38">    9</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d90/class_aug___base.html#aaead9cefc6b13e4525883dece8c26b38">OnDebugSpawn</a>()</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(entity, <span class="keyword">this</span>) )</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>            entity.SpawnEntityOnGroundPos(<span class="stringliteral">&quot;Mag_Aug_30Rnd&quot;</span>, entity.GetPosition());</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d1/d90/class_aug___base.html#a5fe1daa0ac6f8b370138af24211cf793">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d1/d90/class_aug___base.html#a5fe1daa0ac6f8b370138af24211cf793">GetWeaponSpecificCommand</a>(<span class="keywordtype">int</span> weaponAction ,<span class="keywordtype">int</span> subCommand)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">if</span> ( weaponAction == <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>.RELOAD)</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            <span class="keywordflow">switch</span> (subCommand)</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>                <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#ac962727aac6f2c20ed4fb835b64e020d">WeaponActionReloadTypes</a>.RELOADRIFLE_MAGAZINE_BULLET:</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>                    <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#ac962727aac6f2c20ed4fb835b64e020d">WeaponActionReloadTypes</a>.RELOADSRIFLE_MAGAZINE_BULLET;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>                </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>                <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#ac962727aac6f2c20ed4fb835b64e020d">WeaponActionReloadTypes</a>.RELOADRIFLE_NOMAGAZINE_BULLET:</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>                    <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#ac962727aac6f2c20ed4fb835b64e020d">WeaponActionReloadTypes</a>.RELOADSRIFLE_NOMAGAZINE_BULLET;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>                </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>                <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#ac962727aac6f2c20ed4fb835b64e020d">WeaponActionReloadTypes</a>.RELOADRIFLE_MAGAZINE_NOBULLET:</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                    <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#ac962727aac6f2c20ed4fb835b64e020d">WeaponActionReloadTypes</a>.RELOADSRIFLE_MAGAZINE_NOBULLET;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>                <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#ac962727aac6f2c20ed4fb835b64e020d">WeaponActionReloadTypes</a>.RELOADRIFLE_NOMAGAZINE_NOBULLET:</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                    <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d4/d9e/human_8c.html#ac962727aac6f2c20ed4fb835b64e020d">WeaponActionReloadTypes</a>.RELOADSRIFLE_NOMAGAZINE_NOBULLET;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                    <span class="keywordflow">return</span> subCommand;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">return</span> subCommand;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }   </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>};</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d0/dbe/_a_u_g_8c.html#a90a913f133b3400ad1562c42ba3a3f95">   45</a></span><span class="keyword">class </span>Aug <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/d90/class_aug___base.html">Aug_Base</a></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>{</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="comment">//Debug menu Spawn Ground Special</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d1/d90/class_aug___base.html#aaead9cefc6b13e4525883dece8c26b38">   48</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d90/class_aug___base.html#aaead9cefc6b13e4525883dece8c26b38">OnDebugSpawn</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_class" href="../../dc/d11/class_game_inventory.html">GameInventory</a> inventory = GetInventory();</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        inventory.CreateInInventory( <span class="stringliteral">&quot;UniversalLight&quot;</span> );</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        inventory.CreateInInventory( <span class="stringliteral">&quot;Battery9V&quot;</span> ); </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        inventory.CreateInInventory( <span class="stringliteral">&quot;ACOGOptic&quot;</span> );</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        inventory.CreateInInventory( <span class="stringliteral">&quot;M4_Suppressor&quot;</span> );</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        SpawnAttachedMagazine(<span class="stringliteral">&quot;Mag_Aug_30Rnd&quot;</span>);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }   </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>}</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="keyword">class </span>AugShort <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/d90/class_aug___base.html">Aug_Base</a></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>{</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d0/dbe/_a_u_g_8c.html#a90a913f133b3400ad1562c42ba3a3f95">CanEnterIronsights</a>()</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../d0/dbe/_a_u_g_8c.html#afa24e4df50032c8b517107d6e5c42096">   65</a></span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d0/dbe/_a_u_g_8c.html#a49e5f0d23b711ee80e7e2ed15ff69ddf">   68</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/dbe/_a_u_g_8c.html#a49e5f0d23b711ee80e7e2ed15ff69ddf">AssembleGun</a>()</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        super.AssembleGun();</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">if</span> ( !FindAttachmentBySlotName(<span class="stringliteral">&quot;weaponOpticsAug&quot;</span>) )</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            GetInventory().CreateAttachment(<span class="stringliteral">&quot;AugOptic&quot;</span>);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    <span class="comment">//Debug menu Spawn Ground Special</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d90/class_aug___base.html#aaead9cefc6b13e4525883dece8c26b38">OnDebugSpawn</a>()</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        SpawnAttachedMagazine(<span class="stringliteral">&quot;Mag_Aug_30Rnd&quot;</span>);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    }   </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>}</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span> </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../db/d52/class_aug_optic.html">   86</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/d52/class_aug_optic.html">AugOptic</a>: <a class="code hl_class" href="../../d2/d29/class_item_optics.html">ItemOptics</a></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>{</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="../../db/d52/class_aug_optic.html#a3bad4223d2eda91427d0ef5b78c942a3">   88</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d52/class_aug_optic.html#a3bad4223d2eda91427d0ef5b78c942a3">CanPutAsAttachment</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent )</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>};</div>
<div class="ttc" id="a_a_u_g_8c_html_a49e5f0d23b711ee80e7e2ed15ff69ddf"><div class="ttname"><a href="../../d0/dbe/_a_u_g_8c.html#a49e5f0d23b711ee80e7e2ed15ff69ddf">AssembleGun</a></div><div class="ttdeci">override void AssembleGun()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_a_u_g_8c_source.html#l00068">AUG.c:68</a></div></div>
<div class="ttc" id="a_a_u_g_8c_html_a90a913f133b3400ad1562c42ba3a3f95"><div class="ttname"><a href="../../d0/dbe/_a_u_g_8c.html#a90a913f133b3400ad1562c42ba3a3f95">CanEnterIronsights</a></div><div class="ttdeci">AugOptic CanEnterIronsights</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_a_u_g_8c_source.html#l00045">AUG.c:63</a></div></div>
<div class="ttc" id="aclass_a_u_g_recoil_html"><div class="ttname"><a href="../../dd/d94/class_a_u_g_recoil.html">AUGRecoil</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/de9/_a_u_g_recoil_8c_source.html#l00001">AUGRecoil.c:2</a></div></div>
<div class="ttc" id="aclass_aug___base_html"><div class="ttname"><a href="../../d1/d90/class_aug___base.html">Aug_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_a_u_g_8c_source.html#l00001">AUG.c:2</a></div></div>
<div class="ttc" id="aclass_aug___base_html_a5fe1daa0ac6f8b370138af24211cf793"><div class="ttname"><a href="../../d1/d90/class_aug___base.html#a5fe1daa0ac6f8b370138af24211cf793">Aug_Base::GetWeaponSpecificCommand</a></div><div class="ttdeci">override int GetWeaponSpecificCommand(int weaponAction, int subCommand)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_a_u_g_8c_source.html#l00018">AUG.c:18</a></div></div>
<div class="ttc" id="aclass_aug___base_html_a67fc239c6cac57888177a6b89f6fd830"><div class="ttname"><a href="../../d1/d90/class_aug___base.html#a67fc239c6cac57888177a6b89f6fd830">Aug_Base::SpawnRecoilObject</a></div><div class="ttdeci">override RecoilBase SpawnRecoilObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_a_u_g_8c_source.html#l00003">AUG.c:3</a></div></div>
<div class="ttc" id="aclass_aug___base_html_aaead9cefc6b13e4525883dece8c26b38"><div class="ttname"><a href="../../d1/d90/class_aug___base.html#aaead9cefc6b13e4525883dece8c26b38">Aug_Base::OnDebugSpawn</a></div><div class="ttdeci">override void OnDebugSpawn()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_a_u_g_8c_source.html#l00009">AUG.c:9</a></div></div>
<div class="ttc" id="aclass_aug_optic_html"><div class="ttname"><a href="../../db/d52/class_aug_optic.html">AugOptic</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_a_u_g_8c_source.html#l00086">AUG.c:87</a></div></div>
<div class="ttc" id="aclass_aug_optic_html_a3bad4223d2eda91427d0ef5b78c942a3"><div class="ttname"><a href="../../db/d52/class_aug_optic.html#a3bad4223d2eda91427d0ef5b78c942a3">AugOptic::CanPutAsAttachment</a></div><div class="ttdeci">override bool CanPutAsAttachment(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dbe/_a_u_g_8c_source.html#l00088">AUG.c:88</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_game_inventory_html"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html">GameInventory</a></div><div class="ttdoc">script counterpart to engine's class Inventory</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l00033">Inventory.c:28</a></div></div>
<div class="ttc" id="aclass_item_optics_html"><div class="ttname"><a href="../../d2/d29/class_item_optics.html">ItemOptics</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d08/_m79_8c_source.html#l00031">M79.c:32</a></div></div>
<div class="ttc" id="aclass_recoil_base_html"><div class="ttname"><a href="../../dc/dd0/class_recoil_base.html">RecoilBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dda/_recoil_base_8c_source.html#l00001">RecoilBase.c:2</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="ahuman_8c_html_a70aa34d22d03160ea5e3d5248cd37093"><div class="ttname"><a href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a></div><div class="ttdeci">WeaponActions</div><div class="ttdoc">actions</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00762">human.c:763</a></div></div>
<div class="ttc" id="ahuman_8c_html_ac962727aac6f2c20ed4fb835b64e020d"><div class="ttname"><a href="../../d4/d9e/human_8c.html#ac962727aac6f2c20ed4fb835b64e020d">WeaponActionReloadTypes</a></div><div class="ttdeci">WeaponActionReloadTypes</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00778">human.c:779</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../dir_12748d34ce77fc0f8f7bf10a90a70558.html">AutomaticRifle</a></li><li class="navelem"><a class="el" href="../../d0/dbe/_a_u_g_8c.html">AUG.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
